import { ElementRef, EventEmitter } from '@angular/core';
import { ImageEditorService } from '../../services/image-editor.service';
import { EditableImageService } from '../../services/editable-image.service';
export declare class ImageCropperComponent {
    private editor;
    private el;
    private borders;
    private moveDelta;
    private imagePosition;
    private originalImageDimensions;
    private imageDimensions;
    private cropDimensions;
    private eventListeners;
    editable: EditableImageService;
    zoomConfig: {
        value: number;
        max: number;
    };
    img: Blob;
    configChange: EventEmitter<any>;
    set image(value: Blob);
    cropWidth: number;
    cropHeight: number;
    set zoom(value: any);
    get zoom(): any;
    set top(value: any);
    get top(): any;
    set left(value: any);
    get left(): any;
    set maxZoom(value: any);
    get maxZoom(): any;
    previewImage: ElementRef;
    triggerMove(): boolean;
    constructor(editor: ImageEditorService, el: ElementRef);
    initImageCrop(image: Blob): void;
    move(e: MouseEvent): boolean;
    setZoom(value: string): void;
    getBlob(): Blob;
    getDataURL(): string;
    protected crop(): void;
    protected getCorrectedPosition(pos: {
        x: number;
        y: number;
    }): {
        x: number;
        y: number;
    };
    protected stopMove(): boolean;
    protected fitArea(object: Dimension, area: Dimension): {
        width: number;
        height: number;
    };
    protected fillArea(object: Dimension, area: Dimension): {
        width: number;
        height: number;
    };
    protected addTransparentBorder(previewDimensions: Dimension, fittingDimensions: Dimension): {
        vborder: number;
        hborder: number;
    };
    protected getComputedDimensions(element: HTMLElement): {
        width: number;
        height: number;
    };
}
export declare type Dimension = {
    width: number;
    height: number;
};
